package com.heyu.api.data.entity.third;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*第三方和用户信息绑定表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("third_user_bind")
public class ThirdUserBindEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.third.ThirdUserBindEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";          // 修改时间
    public final static String user_id = CLASS_NAME + "user_id";                  // 用户id
    public final static String third_user_id = CLASS_NAME + "third_user_id";      // 第三方用户id
    public final static String third_security = CLASS_NAME + "third_security";    // 第三方安全验证信息
    public final static String third_id = CLASS_NAME + "third_id";                // third_config_info中的id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //用户id
    private Long userId;
    //第三方用户id
    private Long thirdUserId;
    //第三方安全验证信息
    private String thirdSecurity;
    //third_config_info中的id
    private Long thirdId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 第三方用户id 
     * @return
     */
    public Long getThirdUserId() {
        return thirdUserId;
    }
    /**
     * 第三方用户id 
     * @param thirdUserId
     */
    public void setThirdUserId(Long thirdUserId) {
        this.thirdUserId = thirdUserId;
    }

    /**
     * 第三方安全验证信息 
     * @return
     */
    public String getThirdSecurity() {
        return thirdSecurity;
    }
    /**
     * 第三方安全验证信息 
     * @param thirdSecurity
     */
    public void setThirdSecurity(String thirdSecurity) {
        this.thirdSecurity = thirdSecurity;
    }

    /**
     * third_config_info中的id 
     * @return
     */
    public Long getThirdId() {
        return thirdId;
    }
    /**
     * third_config_info中的id 
     * @param thirdId
     */
    public void setThirdId(Long thirdId) {
        this.thirdId = thirdId;
    }

    @Override
    public String toString() {
        return "ThirdUserBindEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",userId=" + userId +
                ",thirdUserId=" + thirdUserId +
                ",thirdSecurity=" + thirdSecurity +
                ",thirdId=" + thirdId +
                "}";
    }
}